nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
AxisCameraManager Class Reference

Provides access to camera's properties and instantiates other managers (implements nxcip::BaseCameraManager) More...

`#include <axis_camera_manager.h>`

Inheritance diagram for AxisCameraManager:

## Public Member Functions
| AxisCameraManager (const nxcip::CameraInfo &info)
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual int | getEncoderCount (int *encoderCount) const override
| Implementation of nxcip::BaseCameraManager::getEncoderCount.
virtual int | getEncoder (int encoderIndex, nxcip::CameraMediaEncoder **encoderPtr) override
| Implementation of nxcip::BaseCameraManager::getEncoder.
virtual int | getCameraInfo (nxcip::CameraInfo *info) const override
| Implementation of nxcip::BaseCameraManager::getCameraInfo.
virtual int | getCameraCapabilities (unsigned int *capabilitiesMask) const override
| Implementation of nxcip::BaseCameraManager::getCameraCapabilities.
virtual void | setCredentials (const char *username, const char *password) override
| Implementation of nxcip::BaseCameraManager::setCredentials.
virtual int | setAudioEnabled (int audioEnabled) override
| Implementation of nxcip::BaseCameraManager::setAudioEnabled.
virtual nxcip::CameraPtzManager * | getPtzManager () const override
| Implementation of nxcip::BaseCameraManager::getPTZManager.
virtual nxcip::CameraMotionDataProvider * | getCameraMotionDataProvider () const override
| Implementation of nxcip::BaseCameraManager::getCameraMotionDataProvider.
virtual nxcip::CameraRelayIOManager * | getCameraRelayIOManager () const override
| Implementation of nxcip::BaseCameraManager::getCameraRelayIOManager.
virtual void | getLastErrorString (char *errorString) const override
| Implementation of nxcip::BaseCameraManager::getLastErrorString. More...
const nxcip::CameraInfo & | cameraInfo () const
nxcip::CameraInfo & | cameraInfo ()
const QAuthenticator & | credentials () const
bool | isAudioEnabled () const
nxpt::CommonRefManager * | refManager ()

## Static Public Member Functions
static int | readAxisParameter (SyncHttpClient *const httpClient, const QByteArray &paramName, QVariant *paramValue)
| reads axis parameter, triggering url like http://ip/axis-cgi/param.cgi?action=list&group=Input.NbrOfInputs
static int | readAxisParameter (SyncHttpClient *const httpClient, const QByteArray &paramName, QByteArray *paramValue)
static int | readAxisParameter (SyncHttpClient *const httpClient, const QByteArray &paramName, QString *paramValue)
static int | readAxisParameter (SyncHttpClient *const httpClient, const QByteArray &paramName, unsigned int *paramValue)
static int | readAxisParameter (SyncHttpClient *const httpClient, const QByteArray &paramName, int *paramValue)

## Additional Inherited Members
Public Types inherited from nxcip::BaseCameraManager
enum | CameraCapability { hardwareMotionCapability = 0x0001, relayInputCapability = 0x0002, relayOutputCapability = 0x0004, ptzCapability = 0x0008, audioCapability = 0x0010, shareFpsCapability = 0x0020, sharePixelsCapability = 0x0040, shareIpCapability = 0x0080, dtsArchiveCapability = 0x0100, nativeMediaStreamCapability = 0x0200, primaryStreamSoftMotionCapability = 0x0400, cameraParamsPersistentCapability = 0x0800, searchByMotionMaskCapability = 0x1000, motionRegionCapability = 0x2000, needIFrameDetectionCapability = 0x4000, relativeTimestampCapability = 0x8000, customMediaUrlCapability = 0x10000, cameraTimeCapability = 0x20000, fixedQualityCapability = 0x40000, MulticastStreamCapability = 0x80000, ServerBoundCapability = 0x100000, dontAutoOpenCamera = 0x200000, noAnalytics = 0x400000, noVideo = 0x800000, ioDeviceCapability = 0x1000000 }
| Enumeration of supported camera capabilities (bit flags) More...

## Detailed Description

Provides access to camera's properties and instantiates other managers (implements nxcip::BaseCameraManager)

## Member Function Documentation

## ◆ getLastErrorString()

void AxisCameraManager::getLastErrorString | ( | char * | errorString | ) | const
| overridevirtual

Implementation of nxcip::BaseCameraManager::getLastErrorString.

Implementation of nxcip::BaseCameraManager::getErrorString.

Implements nxcip::BaseCameraManager.

The documentation for this class was generated from the following files:

- samples/device/axis_camera_plugin/src/axis_camera_manager.h
- samples/device/axis_camera_plugin/src/axis_camera_manager.cpp